# 유미아의 아틀리에 ~추억의 연금술사와 창환의 땅~ 1.3.0
# BID: 6CB3E54C5F648410

DECLARATIONS:
  -
    type: variable
    name: dr_target
    value_type: float
    default_value: 0.035714
    evaluate: "1.01 / FPS_TARGET"

MASTER_WRITE:
  # Redirect DR
  # REF: A9 24 89 52 49 A2 A7 72, second REF
  -
    type: asm_a64
    main_offset: 0x10AAEE4
    instructions: [
      [adrp, x9, $dr_target],
      [ldr, s1, [x9, $dr_target]],
      [nop]
    ]
ALL_FPS:
  # Disable FPS Lock
  # REF: 88 46 40 F9 03 11 40 F9, first ADRP+LDR above it
  -
    type: write
    address: [MAIN, 0x2F23C00, 0xE0, 0x294]
    address_unsafe: true
    value_type: uint8
    value: 0
